Zitadel PHP Client 1.3.6 PHP Client for Zitadel

Loading...
Searching...
No Matches
Public Member Functions
Get Class Reference

## Public Member Functions
| __construct (array $settings)
| setUserId (int $userid)
| getProfilePicture ()
| getUserState ()
| getUsername ()
| getLoginNames ()
| getPreferredLoginName ()
| getGivenName ()
| getFamilyName ()
| getNickname ()
| getDisplayName ()
| getPreferredLanguage ()
| getGender ()
| getEmail ()
| isEmailVerified ()
| getPhone ()
| isPhoneVerified ()
| getRawUserData ()
| fetch ()

## Detailed Description

Returns the full user data including the profile, email, etc.

Definition at line 10 of file Get.php.

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( | array | $settings | ) |

Initialize the Get class

Parameters

  $settings | array The settings array

Definition at line 34 of file Get.php.

## Member Function Documentation

## ◆ fetch()

fetch | ( |  | ) |

Fetch the user data from Zitadel

Returns
  void

Exceptions

  Exception | Returns an exception, if the communication with Zitadel fails

Definition at line 162 of file Get.php.

## ◆ getDisplayName()

getDisplayName | ( |  | ) |

Returns the display name

Returns
  string Display name

Definition at line 105 of file Get.php.

## ◆ getEmail()

getEmail | ( |  | ) |

Returns the email address

Returns
  string Email address

Definition at line 126 of file Get.php.

## ◆ getFamilyName()

getFamilyName | ( |  | ) |

Returns the family name

Returns
  string Family Name

Definition at line 91 of file Get.php.

## ◆ getGender()

getGender | ( |  | ) |

Returns the gender

Returns
  string Gender. Possible values: GENDER_UNSPECIFIED, GENDER_MALE, GENDER_FEMALE, GENDER_DIVERSE

Definition at line 119 of file Get.php.

## ◆ getGivenName()

getGivenName | ( |  | ) |

Returns the given name

Returns
  string Given Name

Definition at line 84 of file Get.php.

## ◆ getLoginNames()

getLoginNames | ( |  | ) |

Returns an array with the possible login names

Returns
  array Possible login names

Definition at line 70 of file Get.php.

## ◆ getNickname()

getNickname | ( |  | ) |

Returns the nickname

Returns
  string Nickname

Definition at line 98 of file Get.php.

## ◆ getPhone()

getPhone | ( |  | ) |

Returns the phone number. Notice: If the user didn't set a profile picture, you'll get an error when accessing this function.

Returns
  string

Definition at line 140 of file Get.php.

## ◆ getPreferredLanguage()

getPreferredLanguage | ( |  | ) |

Returns the preferred language

Returns
  string Preferred language

Definition at line 112 of file Get.php.

## ◆ getPreferredLoginName()

getPreferredLoginName | ( |  | ) |

Returns the preferred Login name

Returns
  string Preferred Login name

Definition at line 77 of file Get.php.

## ◆ getProfilePicture()

getProfilePicture | ( |  | ) |

Returns the Profile Picture URL. Notice: If the user didn't set a profile picture, you'll get an error when accessing this function.

Returns
  string Profile Picture URL

Definition at line 49 of file Get.php.

## ◆ getRawUserData()

getRawUserData | ( |  | ) |

Returns the raw user data

Returns
  string JSON-encoded raw user data

Definition at line 154 of file Get.php.

## ◆ getUsername()

getUsername | ( |  | ) |

Returns the username

Returns
  string Username

Definition at line 63 of file Get.php.

## ◆ getUserState()

getUserState | ( |  | ) |

Returns the User state.

Returns
  string User state. Possible values: USER_STATE_UNSPECIFIED, USER_STATE_ACTIVE, USER_STATE_INACTIVE, USER_STATE_DELETED, USER_STATE_LOCKED, USER_STATE_INITIAL

Definition at line 56 of file Get.php.

## ◆ isEmailVerified()

isEmailVerified | ( |  | ) |

Returns true if the email is verified

Returns
  bool verification of the email address

Definition at line 133 of file Get.php.

## ◆ isPhoneVerified()

isPhoneVerified | ( |  | ) |

Returns true if the phone number is verified

Returns
  bool verification of the phone number

Definition at line 147 of file Get.php.

## ◆ setUserId()

setUserId | ( | int | $userid | ) |

Set the userid

Parameters

  $userid | int User id

Returns
  void

Definition at line 42 of file Get.php.

The documentation for this class was generated from the following file:

- src/User/Get.php